Class Specialization
Mersenne Twister Rng
Mersenne Twister 19937 Random Number Generator

Rng

Mersenne Twister Rng

Rng<MersenneTwister>
Include Headers
seqan/random.h
Specialization of
Rng
Metafunctions

MaxValue | Supremum for a given type. (Rng)
MinValue | Infimum for a given type. (Rng)
Value | Type of the items in the container. (Rng)

Member Functions

operator() | Function call operator. (Rng)
Rng | Constructor Mersenne Twister Rng.

Functions

pickRandomNumber | Pick a random number using a random number generator object, possibly following the given distribution. (Rng)
shuffle | Shuffle the given container. (Rng)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51